#ifndef _H_AB52E0BF1868FA7A758022688775708C_Constants__H_
#define _H_AB52E0BF1868FA7A758022688775708C_Constants__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace bond
{
    namespace msg
    {
        namespace dds_
        {
            namespace Constants_Constants
            {
                const ::DDS::Float DEAD_PUBLISH_PERIOD_ = 0.050000000000000003;

                const ::DDS::Float DEFAULT_CONNECT_TIMEOUT_ = 10.0;

                const ::DDS::Float DEFAULT_HEARTBEAT_TIMEOUT_ = 4.0;

                const ::DDS::Float DEFAULT_DISCONNECT_TIMEOUT_ = 2.0;

                const ::DDS::Float DEFAULT_HEARTBEAT_PERIOD_ = 1.0;

                const ::DDS::String_mgr DISABLE_HEARTBEAT_TIMEOUT_PARAM_ = "/bond_disable_heartbeat_timeout";

            }

            struct  Constants_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Constants_> Constants__var;
            typedef Constants_& Constants__out;

        }

    }

}

#endif /* _H_AB52E0BF1868FA7A758022688775708C_Constants__H_ */
